// src/runtime/IRuntimeHost.ts

import type { IHostDocument } from './IHostDocument';
import type { IHostCustomElementRegistry } from './IHostCustomElementRegistry';

export interface IRuntimeHost {
  document: IHostDocument;
  customElements: IHostCustomElementRegistry;
  createElement(tagName: string): Element;
  dispose(): void;
}
